Index: XIOS3/trunk/src/interface/fortran_attr/ifieldgroup_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/ifieldgroup_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/ifieldgroup_attr.F90	(revision 2616)
@@ -13,8 +13,9 @@
   SUBROUTINE xios(set_fieldgroup_attr)  &
     ( fieldgroup_id, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode  &
-    , check_if_active, comment, compression_level, default_value, detect_missing_value, domain_ref  &
-    , enabled, expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output  &
-    , level, long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name  &
-    , ts_enabled, ts_split_freq, unit, valid_max, valid_min )
+    , check_if_active, chunking_blocksize_target, comment, compression_level, compression_params  &
+    , compression_type, conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled  &
+    , expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output, level  &
+    , long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled  &
+    , ts_split_freq, unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -29,6 +30,11 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: check_if_active
       LOGICAL (KIND=C_BOOL) :: check_if_active_tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_blocksize_target
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       INTEGER  , OPTIONAL, INTENT(IN) :: compression_level
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: compression_params(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: compression_type
+      LOGICAL  , OPTIONAL, INTENT(IN) :: conversion_by_NetCDF
+      LOGICAL (KIND=C_BOOL) :: conversion_by_NetCDF_tmp
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: default_value
       LOGICAL  , OPTIONAL, INTENT(IN) :: detect_missing_value
@@ -67,8 +73,9 @@
       CALL xios(set_fieldgroup_attr_hdl_)   &
       ( fieldgroup_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode  &
-      , check_if_active, comment, compression_level, default_value, detect_missing_value, domain_ref  &
-      , enabled, expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output  &
-      , level, long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name  &
-      , ts_enabled, ts_split_freq, unit, valid_max, valid_min )
+      , check_if_active, chunking_blocksize_target, comment, compression_level, compression_params  &
+      , compression_type, conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled  &
+      , expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output, level  &
+      , long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled  &
+      , ts_split_freq, unit, valid_max, valid_min )
 
   END SUBROUTINE xios(set_fieldgroup_attr)
@@ -76,8 +83,9 @@
   SUBROUTINE xios(set_fieldgroup_attr_hdl)  &
     ( fieldgroup_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode  &
-    , check_if_active, comment, compression_level, default_value, detect_missing_value, domain_ref  &
-    , enabled, expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output  &
-    , level, long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name  &
-    , ts_enabled, ts_split_freq, unit, valid_max, valid_min )
+    , check_if_active, chunking_blocksize_target, comment, compression_level, compression_params  &
+    , compression_type, conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled  &
+    , expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output, level  &
+    , long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled  &
+    , ts_split_freq, unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -91,6 +99,11 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: check_if_active
       LOGICAL (KIND=C_BOOL) :: check_if_active_tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_blocksize_target
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       INTEGER  , OPTIONAL, INTENT(IN) :: compression_level
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: compression_params(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: compression_type
+      LOGICAL  , OPTIONAL, INTENT(IN) :: conversion_by_NetCDF
+      LOGICAL (KIND=C_BOOL) :: conversion_by_NetCDF_tmp
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: default_value
       LOGICAL  , OPTIONAL, INTENT(IN) :: detect_missing_value
@@ -127,8 +140,9 @@
       CALL xios(set_fieldgroup_attr_hdl_)  &
       ( fieldgroup_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode  &
-      , check_if_active, comment, compression_level, default_value, detect_missing_value, domain_ref  &
-      , enabled, expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output  &
-      , level, long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name  &
-      , ts_enabled, ts_split_freq, unit, valid_max, valid_min )
+      , check_if_active, chunking_blocksize_target, comment, compression_level, compression_params  &
+      , compression_type, conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled  &
+      , expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output, level  &
+      , long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled  &
+      , ts_split_freq, unit, valid_max, valid_min )
 
   END SUBROUTINE xios(set_fieldgroup_attr_hdl)
@@ -136,5 +150,6 @@
   SUBROUTINE xios(set_fieldgroup_attr_hdl_)   &
     ( fieldgroup_hdl, add_offset_, axis_ref_, build_workflow_graph_, cell_methods_, cell_methods_mode_  &
-    , check_if_active_, comment_, compression_level_, default_value_, detect_missing_value_, domain_ref_  &
+    , check_if_active_, chunking_blocksize_target_, comment_, compression_level_, compression_params_  &
+    , compression_type_, conversion_by_NetCDF_, default_value_, detect_missing_value_, domain_ref_  &
     , enabled_, expr_, field_ref_, freq_offset_, freq_op_, grid_path_, grid_ref_, group_ref_, indexed_output_  &
     , level_, long_name_, name_, operation_, prec_, read_access_, scalar_ref_, scale_factor_, standard_name_  &
@@ -151,6 +166,11 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: check_if_active_
       LOGICAL (KIND=C_BOOL) :: check_if_active__tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_blocksize_target_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment_
       INTEGER  , OPTIONAL, INTENT(IN) :: compression_level_
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: compression_params_(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: compression_type_
+      LOGICAL  , OPTIONAL, INTENT(IN) :: conversion_by_NetCDF_
+      LOGICAL (KIND=C_BOOL) :: conversion_by_NetCDF__tmp
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: default_value_
       LOGICAL  , OPTIONAL, INTENT(IN) :: detect_missing_value_
@@ -217,4 +237,9 @@
       ENDIF
 
+      IF (PRESENT(chunking_blocksize_target_)) THEN
+        CALL cxios_set_fieldgroup_chunking_blocksize_target &
+      (fieldgroup_hdl%daddr, chunking_blocksize_target_)
+      ENDIF
+
       IF (PRESENT(comment_)) THEN
         CALL cxios_set_fieldgroup_comment &
@@ -225,4 +250,20 @@
         CALL cxios_set_fieldgroup_compression_level &
       (fieldgroup_hdl%daddr, compression_level_)
+      ENDIF
+
+      IF (PRESENT(compression_params_)) THEN
+        CALL cxios_set_fieldgroup_compression_params &
+      (fieldgroup_hdl%daddr, compression_params_, SHAPE(compression_params_))
+      ENDIF
+
+      IF (PRESENT(compression_type_)) THEN
+        CALL cxios_set_fieldgroup_compression_type &
+      (fieldgroup_hdl%daddr, compression_type_, len(compression_type_))
+      ENDIF
+
+      IF (PRESENT(conversion_by_NetCDF_)) THEN
+        conversion_by_NetCDF__tmp = conversion_by_NetCDF_
+        CALL cxios_set_fieldgroup_conversion_by_NetCDF &
+      (fieldgroup_hdl%daddr, conversion_by_NetCDF__tmp)
       ENDIF
 
@@ -366,8 +407,9 @@
   SUBROUTINE xios(get_fieldgroup_attr)  &
     ( fieldgroup_id, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode  &
-    , check_if_active, comment, compression_level, default_value, detect_missing_value, domain_ref  &
-    , enabled, expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output  &
-    , level, long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name  &
-    , ts_enabled, ts_split_freq, unit, valid_max, valid_min )
+    , check_if_active, chunking_blocksize_target, comment, compression_level, compression_params  &
+    , compression_type, conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled  &
+    , expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output, level  &
+    , long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled  &
+    , ts_split_freq, unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -382,6 +424,11 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: check_if_active
       LOGICAL (KIND=C_BOOL) :: check_if_active_tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_blocksize_target
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       INTEGER  , OPTIONAL, INTENT(OUT) :: compression_level
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: compression_params(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: compression_type
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: conversion_by_NetCDF
+      LOGICAL (KIND=C_BOOL) :: conversion_by_NetCDF_tmp
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: default_value
       LOGICAL  , OPTIONAL, INTENT(OUT) :: detect_missing_value
@@ -420,8 +467,9 @@
       CALL xios(get_fieldgroup_attr_hdl_)   &
       ( fieldgroup_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode  &
-      , check_if_active, comment, compression_level, default_value, detect_missing_value, domain_ref  &
-      , enabled, expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output  &
-      , level, long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name  &
-      , ts_enabled, ts_split_freq, unit, valid_max, valid_min )
+      , check_if_active, chunking_blocksize_target, comment, compression_level, compression_params  &
+      , compression_type, conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled  &
+      , expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output, level  &
+      , long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled  &
+      , ts_split_freq, unit, valid_max, valid_min )
 
   END SUBROUTINE xios(get_fieldgroup_attr)
@@ -429,8 +477,9 @@
   SUBROUTINE xios(get_fieldgroup_attr_hdl)  &
     ( fieldgroup_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode  &
-    , check_if_active, comment, compression_level, default_value, detect_missing_value, domain_ref  &
-    , enabled, expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output  &
-    , level, long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name  &
-    , ts_enabled, ts_split_freq, unit, valid_max, valid_min )
+    , check_if_active, chunking_blocksize_target, comment, compression_level, compression_params  &
+    , compression_type, conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled  &
+    , expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output, level  &
+    , long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled  &
+    , ts_split_freq, unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -444,6 +493,11 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: check_if_active
       LOGICAL (KIND=C_BOOL) :: check_if_active_tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_blocksize_target
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       INTEGER  , OPTIONAL, INTENT(OUT) :: compression_level
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: compression_params(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: compression_type
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: conversion_by_NetCDF
+      LOGICAL (KIND=C_BOOL) :: conversion_by_NetCDF_tmp
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: default_value
       LOGICAL  , OPTIONAL, INTENT(OUT) :: detect_missing_value
@@ -480,8 +534,9 @@
       CALL xios(get_fieldgroup_attr_hdl_)  &
       ( fieldgroup_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode  &
-      , check_if_active, comment, compression_level, default_value, detect_missing_value, domain_ref  &
-      , enabled, expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output  &
-      , level, long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name  &
-      , ts_enabled, ts_split_freq, unit, valid_max, valid_min )
+      , check_if_active, chunking_blocksize_target, comment, compression_level, compression_params  &
+      , compression_type, conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled  &
+      , expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output, level  &
+      , long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled  &
+      , ts_split_freq, unit, valid_max, valid_min )
 
   END SUBROUTINE xios(get_fieldgroup_attr_hdl)
@@ -489,5 +544,6 @@
   SUBROUTINE xios(get_fieldgroup_attr_hdl_)   &
     ( fieldgroup_hdl, add_offset_, axis_ref_, build_workflow_graph_, cell_methods_, cell_methods_mode_  &
-    , check_if_active_, comment_, compression_level_, default_value_, detect_missing_value_, domain_ref_  &
+    , check_if_active_, chunking_blocksize_target_, comment_, compression_level_, compression_params_  &
+    , compression_type_, conversion_by_NetCDF_, default_value_, detect_missing_value_, domain_ref_  &
     , enabled_, expr_, field_ref_, freq_offset_, freq_op_, grid_path_, grid_ref_, group_ref_, indexed_output_  &
     , level_, long_name_, name_, operation_, prec_, read_access_, scalar_ref_, scale_factor_, standard_name_  &
@@ -504,6 +560,11 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: check_if_active_
       LOGICAL (KIND=C_BOOL) :: check_if_active__tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_blocksize_target_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment_
       INTEGER  , OPTIONAL, INTENT(OUT) :: compression_level_
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: compression_params_(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: compression_type_
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: conversion_by_NetCDF_
+      LOGICAL (KIND=C_BOOL) :: conversion_by_NetCDF__tmp
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: default_value_
       LOGICAL  , OPTIONAL, INTENT(OUT) :: detect_missing_value_
@@ -570,4 +631,9 @@
       ENDIF
 
+      IF (PRESENT(chunking_blocksize_target_)) THEN
+        CALL cxios_get_fieldgroup_chunking_blocksize_target &
+      (fieldgroup_hdl%daddr, chunking_blocksize_target_)
+      ENDIF
+
       IF (PRESENT(comment_)) THEN
         CALL cxios_get_fieldgroup_comment &
@@ -578,4 +644,20 @@
         CALL cxios_get_fieldgroup_compression_level &
       (fieldgroup_hdl%daddr, compression_level_)
+      ENDIF
+
+      IF (PRESENT(compression_params_)) THEN
+        CALL cxios_get_fieldgroup_compression_params &
+      (fieldgroup_hdl%daddr, compression_params_, SHAPE(compression_params_))
+      ENDIF
+
+      IF (PRESENT(compression_type_)) THEN
+        CALL cxios_get_fieldgroup_compression_type &
+      (fieldgroup_hdl%daddr, compression_type_, len(compression_type_))
+      ENDIF
+
+      IF (PRESENT(conversion_by_NetCDF_)) THEN
+        CALL cxios_get_fieldgroup_conversion_by_NetCDF &
+      (fieldgroup_hdl%daddr, conversion_by_NetCDF__tmp)
+        conversion_by_NetCDF_ = conversion_by_NetCDF__tmp
       ENDIF
 
@@ -719,8 +801,9 @@
   SUBROUTINE xios(is_defined_fieldgroup_attr)  &
     ( fieldgroup_id, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode  &
-    , check_if_active, comment, compression_level, default_value, detect_missing_value, domain_ref  &
-    , enabled, expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output  &
-    , level, long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name  &
-    , ts_enabled, ts_split_freq, unit, valid_max, valid_min )
+    , check_if_active, chunking_blocksize_target, comment, compression_level, compression_params  &
+    , compression_type, conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled  &
+    , expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output, level  &
+    , long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled  &
+    , ts_split_freq, unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -739,8 +822,16 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: check_if_active
       LOGICAL(KIND=C_BOOL) :: check_if_active_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_blocksize_target
+      LOGICAL(KIND=C_BOOL) :: chunking_blocksize_target_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: comment
       LOGICAL(KIND=C_BOOL) :: comment_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: compression_level
       LOGICAL(KIND=C_BOOL) :: compression_level_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: compression_params
+      LOGICAL(KIND=C_BOOL) :: compression_params_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: compression_type
+      LOGICAL(KIND=C_BOOL) :: compression_type_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: conversion_by_NetCDF
+      LOGICAL(KIND=C_BOOL) :: conversion_by_NetCDF_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: default_value
       LOGICAL(KIND=C_BOOL) :: default_value_tmp
@@ -800,8 +891,9 @@
       CALL xios(is_defined_fieldgroup_attr_hdl_)   &
       ( fieldgroup_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode  &
-      , check_if_active, comment, compression_level, default_value, detect_missing_value, domain_ref  &
-      , enabled, expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output  &
-      , level, long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name  &
-      , ts_enabled, ts_split_freq, unit, valid_max, valid_min )
+      , check_if_active, chunking_blocksize_target, comment, compression_level, compression_params  &
+      , compression_type, conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled  &
+      , expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output, level  &
+      , long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled  &
+      , ts_split_freq, unit, valid_max, valid_min )
 
   END SUBROUTINE xios(is_defined_fieldgroup_attr)
@@ -809,8 +901,9 @@
   SUBROUTINE xios(is_defined_fieldgroup_attr_hdl)  &
     ( fieldgroup_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode  &
-    , check_if_active, comment, compression_level, default_value, detect_missing_value, domain_ref  &
-    , enabled, expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output  &
-    , level, long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name  &
-    , ts_enabled, ts_split_freq, unit, valid_max, valid_min )
+    , check_if_active, chunking_blocksize_target, comment, compression_level, compression_params  &
+    , compression_type, conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled  &
+    , expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output, level  &
+    , long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled  &
+    , ts_split_freq, unit, valid_max, valid_min )
 
     IMPLICIT NONE
@@ -828,8 +921,16 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: check_if_active
       LOGICAL(KIND=C_BOOL) :: check_if_active_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_blocksize_target
+      LOGICAL(KIND=C_BOOL) :: chunking_blocksize_target_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: comment
       LOGICAL(KIND=C_BOOL) :: comment_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: compression_level
       LOGICAL(KIND=C_BOOL) :: compression_level_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: compression_params
+      LOGICAL(KIND=C_BOOL) :: compression_params_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: compression_type
+      LOGICAL(KIND=C_BOOL) :: compression_type_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: conversion_by_NetCDF
+      LOGICAL(KIND=C_BOOL) :: conversion_by_NetCDF_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: default_value
       LOGICAL(KIND=C_BOOL) :: default_value_tmp
@@ -887,8 +988,9 @@
       CALL xios(is_defined_fieldgroup_attr_hdl_)  &
       ( fieldgroup_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode  &
-      , check_if_active, comment, compression_level, default_value, detect_missing_value, domain_ref  &
-      , enabled, expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output  &
-      , level, long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name  &
-      , ts_enabled, ts_split_freq, unit, valid_max, valid_min )
+      , check_if_active, chunking_blocksize_target, comment, compression_level, compression_params  &
+      , compression_type, conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled  &
+      , expr, field_ref, freq_offset, freq_op, grid_path, grid_ref, group_ref, indexed_output, level  &
+      , long_name, name, operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled  &
+      , ts_split_freq, unit, valid_max, valid_min )
 
   END SUBROUTINE xios(is_defined_fieldgroup_attr_hdl)
@@ -896,5 +998,6 @@
   SUBROUTINE xios(is_defined_fieldgroup_attr_hdl_)   &
     ( fieldgroup_hdl, add_offset_, axis_ref_, build_workflow_graph_, cell_methods_, cell_methods_mode_  &
-    , check_if_active_, comment_, compression_level_, default_value_, detect_missing_value_, domain_ref_  &
+    , check_if_active_, chunking_blocksize_target_, comment_, compression_level_, compression_params_  &
+    , compression_type_, conversion_by_NetCDF_, default_value_, detect_missing_value_, domain_ref_  &
     , enabled_, expr_, field_ref_, freq_offset_, freq_op_, grid_path_, grid_ref_, group_ref_, indexed_output_  &
     , level_, long_name_, name_, operation_, prec_, read_access_, scalar_ref_, scale_factor_, standard_name_  &
@@ -915,8 +1018,16 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: check_if_active_
       LOGICAL(KIND=C_BOOL) :: check_if_active__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_blocksize_target_
+      LOGICAL(KIND=C_BOOL) :: chunking_blocksize_target__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: comment_
       LOGICAL(KIND=C_BOOL) :: comment__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: compression_level_
       LOGICAL(KIND=C_BOOL) :: compression_level__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: compression_params_
+      LOGICAL(KIND=C_BOOL) :: compression_params__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: compression_type_
+      LOGICAL(KIND=C_BOOL) :: compression_type__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: conversion_by_NetCDF_
+      LOGICAL(KIND=C_BOOL) :: conversion_by_NetCDF__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: default_value_
       LOGICAL(KIND=C_BOOL) :: default_value__tmp
@@ -1008,4 +1119,10 @@
       ENDIF
 
+      IF (PRESENT(chunking_blocksize_target_)) THEN
+        chunking_blocksize_target__tmp = cxios_is_defined_fieldgroup_chunking_blocksize_target &
+      (fieldgroup_hdl%daddr)
+        chunking_blocksize_target_ = chunking_blocksize_target__tmp
+      ENDIF
+
       IF (PRESENT(comment_)) THEN
         comment__tmp = cxios_is_defined_fieldgroup_comment &
@@ -1020,4 +1137,22 @@
       ENDIF
 
+      IF (PRESENT(compression_params_)) THEN
+        compression_params__tmp = cxios_is_defined_fieldgroup_compression_params &
+      (fieldgroup_hdl%daddr)
+        compression_params_ = compression_params__tmp
+      ENDIF
+
+      IF (PRESENT(compression_type_)) THEN
+        compression_type__tmp = cxios_is_defined_fieldgroup_compression_type &
+      (fieldgroup_hdl%daddr)
+        compression_type_ = compression_type__tmp
+      ENDIF
+
+      IF (PRESENT(conversion_by_NetCDF_)) THEN
+        conversion_by_NetCDF__tmp = cxios_is_defined_fieldgroup_conversion_by_NetCDF &
+      (fieldgroup_hdl%daddr)
+        conversion_by_NetCDF_ = conversion_by_NetCDF__tmp
+      ENDIF
+
       IF (PRESENT(default_value_)) THEN
         default_value__tmp = cxios_is_defined_fieldgroup_default_value &
